Properties Methods Events Direct Link

    SplitBar.BasicLayoutAdapter
      SplitBar.AbsoluteLayoutAdapter

# Class Ext.SplitBar.AbsoluteLayoutAdapter

Package: | Ext
Defined In: | SplitBar.js
Class: | SplitBar.AbsoluteLayoutAdapter
Extends: | SplitBar.BasicLayoutAdapter

Adapter that moves the splitter element to align with the resized sizing element. Used with an absolute positioned SplitBar.

## Public Properties

Property | Defined By
--- | ---
| SplitBar.AbsoluteLayoutAdapter.BOTTOM : Number <static> Placement constant - The resizing element is positioned under splitter element | SplitBar.AbsoluteLayoutAdapter
| SplitBar.AbsoluteLayoutAdapter.HORIZONTAL : Number <static> Orientation constant - Create a horizontal SplitBar | SplitBar.AbsoluteLayoutAdapter
| SplitBar.AbsoluteLayoutAdapter.LEFT : Number <static> Placement constant - The resizing element is to the left of the splitter element | SplitBar.AbsoluteLayoutAdapter
| SplitBar.AbsoluteLayoutAdapter.RIGHT : Number <static> Placement constant - The resizing element is to the right of the splitter element | SplitBar.AbsoluteLayoutAdapter
| SplitBar.AbsoluteLayoutAdapter.TOP : Number <static> Placement constant - The resizing element is positioned above the splitter element | SplitBar.AbsoluteLayoutAdapter
| SplitBar.AbsoluteLayoutAdapter.VERTICAL : Number <static> Orientation constant - Create a vertical SplitBar | SplitBar.AbsoluteLayoutAdapter

## Public Methods

Method | Defined By
--- | ---

getElementSize( `Ext.SplitBar s` ) : void
Called before drag operations to get the current size of the resizing element.
Called before drag operations to get the current size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter

Returns:

- `void`

SplitBar.BasicLayoutAdapter

setElementSize( `Ext.SplitBar s`, `Number newSize`, `Function onComplete` ) : void
Called after drag operations to set the size of the resizing element.
Called after drag operations to set the size of the resizing element.
Parameters:

- `s` : Ext.SplitBar
  The SplitBar using this adapter
- `newSize` : Number
  The new size to set
- `onComplete` : Function
  A function to be invoked when resizing is complete

Returns:

- `void`

SplitBar.BasicLayoutAdapter

## Public Events

This class has no public events.